MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031759Open CASCADE[OCCT] OCCT:Application Frameworkpublic2020-09-10 17:242020-09-16 08:40
Reportervro 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusreviewedResolutionopen 
PlatformWindowsOSVC++ 2015OS Version32 bit
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031759: Application Framework - regression: support of old versions of OCAF document fails
DescriptionA regression - setting a previous version number for an OCAF document has no effect. See a script below to reproduce the problem. If you run the script, you should obtain an XML file (TestOldStorageVersion.xml). Open it in a text-editor and find a TPrsStd_AISPresentation attribute... there is no one. Although it should exist because in 2014 (storage version 7 points to this year) such an attribute was stored in XML file. Later it was replaced by TDataXtd_Presentation. Exactly this attribute we may see in the XML file. It means that setting a previous version for storage of OCAF documents doesn't work.
Steps To ReproduceNewDocument D XmlOcaf

set aLabel 0:1
box b 100 200 300
SetShape D ${aLabel} b

AISInitViewer D

AISSet D ${aLabel} NS
AISDisplay D ${aLabel}

#Let's return to 2014
SetStorageVersion D 7

set aFile TestOldStorageVersion.xml
catch {file delete ${aFile}}

SaveAs D ${aFile}

TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0094395)
git (administrator)
2020-09-10 17:34

Branch CR31759 has been created by vro.

SHA-1: 19aa85b69b950bad7eb77aae304359c1d33b626e


Detailed log of new commits:

Author: romashko, vladislav
Date: Thu Sep 10 17:36:37 2020 +0300

    0031759: Application Framework - regression: support of old versions of OCAF document fails
    
    The bug is fixed in XmlMDF.cxx.
    Now the draw-command SetStorageVersion has effect and allows storage of OCAF documents in old storage versions.
(0094698)
git (administrator)
2020-09-14 10:48

Branch CR31759_1 has been created by vro.

SHA-1: 52dcc1d95cb95613014184939bec48eee2e6753e


Detailed log of new commits:

Author: Vlad Romashko
Date: Mon Sep 14 10:51:33 2020 +0300

    0031759: Application Framework - regression: support of old versions of OCAF document fails
    
    // Jenkins was failing because of regressions in topological operations. I had to create a new branch and run Jenkins again.
(0094813)
git (administrator)
2020-09-15 11:33

Branch CR31759_2 has been created by vro.

SHA-1: 3b35d7936af56309ed2f0a5bd95ae7d26b875eef


Detailed log of new commits:

Author: Vlad Romashko
Date: Tue Sep 15 11:36:11 2020 +0300

    0031759: Application Framework - regression: support of old versions of OCAF document fails
    
    // Another attempt to compile and test the fix in Jenkins.
(0094894)
vro (developer)
2020-09-16 06:01

Dear Mikhail, could you please revise the fix?
Tests: http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31759_2-master-VRO/view/COMPARE/ [^]
(0094897)
mpv (developer)
2020-09-16 08:40

Reviewed
OCCT branch: CR31759_2
Products branch: NOTHING

- Issue History
Date Modified Username Field Change
2020-09-10 17:24 vro New Issue
2020-09-10 17:24 vro Assigned To => vro
2020-09-10 17:34 git Note Added: 0094395
2020-09-11 15:32 utverdov Target Version 7.5.0 => 7.6.0*
2020-09-12 21:27 abv Target Version 7.6.0* => 7.5.0
2020-09-14 10:48 git Note Added: 0094698
2020-09-15 11:33 git Note Added: 0094813
2020-09-16 06:01 vro Note Added: 0094894
2020-09-16 06:01 vro Assigned To vro => mpv
2020-09-16 06:01 vro Status new => resolved
2020-09-16 08:40 mpv Note Added: 0094897
2020-09-16 08:40 mpv Assigned To mpv => bugmaster
2020-09-16 08:40 mpv Status resolved => reviewed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker